org.keycloak.adapters

## Class PreAuthActionsHandler

- java.lang.Object
- - org.keycloak.adapters.PreAuthActionsHandler

-     public class PreAuthActionsHandler
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeycloakDeployment` | `deployment`
    `protected AdapterDeploymentContext` | `deploymentContext`
    `protected HttpFacade` | `facade`
    `protected UserSessionManagement` | `userSessionManagement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreAuthActionsHandler(UserSessionManagement userSessionManagement, AdapterDeploymentContext deploymentContext, HttpFacade facade)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UserStats` | `getUserStats(String user)`
    `protected void` | `handleGetSessionStats()`
    `protected void` | `handleGetUserStats()`
    `protected void` | `handleLogout()`
    `protected void` | `handlePushNotBefore()`
    `boolean` | `handleRequest()`
    `protected void` | `handleVersion()`
    `boolean` | `preflightCors()`
    `protected boolean` | `resolveDeployment()`
    `protected boolean` | `validateAction(AdminAction action)`
    `protected JWSInput` | `verifyAdminRequest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userSessionManagement

          protected UserSessionManagement userSessionManagement

    - #### deploymentContext

          protected AdapterDeploymentContext deploymentContext

    - #### deployment

          protected KeycloakDeployment deployment

    - #### facade

          protected HttpFacade facade

  - ### Constructor Detail

    - #### PreAuthActionsHandler

          public PreAuthActionsHandler(UserSessionManagement userSessionManagement,
                               AdapterDeploymentContext deploymentContext,
                               HttpFacade facade)

  - ### Method Detail

    - #### resolveDeployment

          protected boolean resolveDeployment()

    - #### handleRequest

          public boolean handleRequest()

    - #### preflightCors

          public boolean preflightCors()

    - #### handleLogout

          protected void handleLogout()

    - #### handlePushNotBefore

          protected void handlePushNotBefore()

    - #### verifyAdminRequest

          protected JWSInput verifyAdminRequest()
                                         throws Exception

      Throws:
        `Exception`

    - #### validateAction

          protected boolean validateAction(AdminAction action)

    - #### handleGetSessionStats

          protected void handleGetSessionStats()

    - #### handleGetUserStats

          protected void handleGetUserStats()

    - #### handleVersion

          protected void handleVersion()

    - #### getUserStats

          protected UserStats getUserStats(String user)

Copyright © 2014. All Rights Reserved.